Subject: Re: bug#42675: Solaris 11.3 x86_64 support

From: Paul Eggert <[email-masked]>
Date: Thu, 6 Aug 2020 16:02:07 -0700

> Recently I've not had much luck building Emacs using the Studio
> compiler.  I don't know if it's a problem with Emacs, Studio, or
> Solaris, and I haven't had the time to look into it.

For what it's worth, I built and ran Emacs master with Oracle Developer Studio 
12.6 on Solaris 10 sparc with these commands:

../emacs-28.0.50/configure CC=cc --with-jpeg=ifavailable --with-png=ifavailable 
--with-gif=ifavailable --with-tiff=ifavailable --with-gnutls=ifavailable
gmake

I needed the "ifavailable" options because those libraries aren't available on 
Solaris 10.

If you're still having problems with Studio please file a bug report when you 
have the time. I did just now fix a problem on OpenIndiana (which needs 
"#include <gmp/gmp.h>" not "#include <gmp.h>") so if that's what you ran into it 
should be fixed now.

The original bug that prompted this bug report seems to have been fixed so I'm 
taking the liberty of marking this bug as done.